summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-02-26 05:25:18 +0100
committerMichał Górny <mgorny@gentoo.org>2026-02-26 05:41:40 +0100
commitdbc08ebd369f4982fda3202107d91cd540a62255 (patch)
tree6dd10eb2a3d07c583aba4738d6f3a5a84d7f8e96 /dev-python
parentafa98ddd46eacc61042c42cc8d0fd62d44d6f9a3 (diff)
downloadgentoo-dbc08ebd369f4982fda3202107d91cd540a62255.tar.gz
gentoo-dbc08ebd369f4982fda3202107d91cd540a62255.tar.bz2
gentoo-dbc08ebd369f4982fda3202107d91cd540a62255.zip
dev-python/nanobind: Bump to 2.12.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/nanobind/Manifest1
-rw-r--r--dev-python/nanobind/nanobind-2.12.0.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/dev-python/nanobind/Manifest b/dev-python/nanobind/Manifest
index 7f41252ad375..ab909cee904b 100644
--- a/dev-python/nanobind/Manifest
+++ b/dev-python/nanobind/Manifest
@@ -1,2 +1,3 @@
DIST nanobind-2.10.2.gh.tar.gz 931057 BLAKE2B aa682523097c4459142b989557d73d98a44ee58797a2cc1d4e783aeacbe0ba2839b1d8c83f80bce203400f4a88a4ae9862b638976908cd86178a5d132c7f42b4 SHA512 8b9a98f659a2b852946247b5ab415432715e19d7be3932b401f9a9c65c68a0e8e513bc785b77114b1c43c2eb2b932858981156a4b850c8a5160c1bd47f5ac337
DIST nanobind-2.11.0.gh.tar.gz 938321 BLAKE2B f1db75b5a5535e178c04fa5da6874f07b7748b37238c410fb576f28a9405c9615455c6d9cc7ffb44f1745c5f86983c7d43bd0d4fb045795cb73cade0f4bc1508 SHA512 332960486a63803beb1764ae8399c618fa4c8b9224efe685d5e281582f78667fe2607708645ea011eef5ac81b7e31c7f21d7f753a670be9ed557bcada8d53b96
+DIST nanobind-2.12.0.gh.tar.gz 940575 BLAKE2B 8eee3f682ed9139704946946c3d58fd8c0060634aba382d709802e36a9d9798fd932d8933cce53ef019d9149c422bdee68d5d4664c302c84b102bb9deca9027e SHA512 a187f0efae1833b2caeaff41074a3d8fbd866ee1874aac088ffd5daf026aeaa6a73a8943b682bd39ef59b755e36b73a221eaf71343a28351dce0c8f284debdd9
diff --git a/dev-python/nanobind/nanobind-2.12.0.ebuild b/dev-python/nanobind/nanobind-2.12.0.ebuild
new file mode 100644
index 000000000000..cefcdccd1dab
--- /dev/null
+++ b/dev-python/nanobind/nanobind-2.12.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=scikit-build-core
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit cmake distutils-r1
+
+DESCRIPTION="Tiny and efficient C++/Python bindings"
+HOMEPAGE="
+ https://github.com/wjakob/nanobind/
+ https://pypi.org/project/nanobind/
+"
+SRC_URI="
+ https://github.com/wjakob/nanobind/archive/refs/tags/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+
+DEPEND="
+ >=dev-cpp/robin-map-1.3.0
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ cmake_src_prepare
+ distutils-r1_src_prepare
+}
+
+src_configure() {
+ # XXX: nanobind installs a CMake config file which by default passes -Os
+ # We currently patch around it in dev-python/pyopencl. In future, we
+ # may want to add some override with Gentoo specific environment vars.
+ DISTUTILS_ARGS=(
+ -DNB_CREATE_INSTALL_RULES=ON
+ -DNB_USE_SUBMODULE_DEPS=OFF
+ -DNB_TEST=OFF
+ )
+}
+
+python_test() {
+ local mycmakeargs=(
+ -DNB_CREATE_INSTALL_RULES=OFF
+ -DNB_USE_SUBMODULE_DEPS=OFF
+ -DNB_TEST=ON
+ )
+ cmake_src_configure
+ cmake_src_compile
+
+ cd "${BUILD_DIR}/tests" || die
+ epytest
+}